EXYNOS5250/SNOW: fix the build script. Add a script to get the bl1.

build-snow got broken when the snow makefile improved. So fix it.

While we're at it, create a script like the update-microcode
scripts that gets the bl1. I thought about making this a common
script but the various names and paths always evolve, leaving
me thinking it's not worth it. This script is just a
piece of the snow build script.

Change-Id: I65c0f8697a978c62fe12533c4f0152d14dbaefda
Signed-off-by: Ronald G. Minnich <rminnich@gmail.com>
Reviewed-on: http://review.coreboot.org/3238
Reviewed-by: Stefan Reinauer <stefan.reinauer@coreboot.org>
Tested-by: build bot (Jenkins)
Reviewed-by: David Hendricks <dhendrix@chromium.org>
diff --git a/src/cpu/samsung/exynos5250/update-bl1.sh b/src/cpu/samsung/exynos5250/update-bl1.sh
new file mode 100644
index 0000000..e47b25d
--- /dev/null
+++ b/src/cpu/samsung/exynos5250/update-bl1.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+BL1_NAME="E5250.nbl1.bin"
+BL1_PATH="3rdparty/cpu/samsung/exynos5250/"
+BL1_URL="http://commondatastorage.googleapis.com/chromeos-localmirror/distfiles/exynos-pre-boot-0.0.2-r8.tbz2"
+
+get_bl1() {
+  mkdir -p "${BL1_PATH}"
+  cd "${BL1_PATH}"
+  wget "${BL1_URL}" -O bl1.tbz2
+  tar jxvf bl1.tbz2
+  mv "exynos-pre-boot/firmware/${BL1_NAME}" .
+  rm -rf exynos-pre-boot
+  if [ ! -e "${BL1_NAME}" ]; then
+    echo "Error getting BL1"
+  fi
+}
+
+main() {
+  if [ ! -e ${BL1_PATH}/${BL1_NAME} ]; then
+    get_bl1
+  fi
+}
+
+set -e
+main "$@"